using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KinoPoisk
{
    /// <summary>
    /// Логика взаимодействия для RegistrationWindow.xaml
    /// </summary>
    public partial class RegistrationWindow : Window
    {
        public RegistrationWindow()
        {
            InitializeComponent();
        }

        private void CreateAcc_Click(object sender, RoutedEventArgs e)
        {
            KinoPoiskContext contextCheck = new KinoPoiskContext();
            var usersCheck = contextCheck.Users;
            User user = usersCheck.SingleOrDefault(x => x.PhoneNumber == PhoneNumber.Text);
            if (user == null)
            {
                if (FirstName.Text != "" && LastName.Text != "" && PhoneNumber.Text != "" && Password.Password != "")
                {
                    KinoPoiskContext context = new KinoPoiskContext();
                    var userNew = context.Users;

                    User newUser = new User()
                    {
                        FirstName = FirstName.Text,
                        LastName = LastName.Text,
                        PhoneNumber = PhoneNumber.Text,
                        UserPassword = Password.Password,
                        Status = 2 // 1 - Администратор, 2 - Пользователь
                    };
                    userNew.Add(newUser);
                    context.SaveChanges();

                    MessageBox.Show("Аккаунт успешно создан!");

                    MainWindow home = new MainWindow();
                    this.Close();
                    home.Show();
                }
                else
                {
                    MessageBox.Show("Ошибка!\nВсе поля должны быть заполнены!");
                }
            }
            else
            {
                MessageBox.Show("Введённый логин уже используется!\nПожалуйста придумайте новый.");
            }
        }
    }
}
